<?php
/**********************************************************************
***********************************************************************/
$page_security = 'SA_MATERIAL_LISTS_INQ';
$path_to_root = "../..";

include_once($path_to_root . "/includes/db_pager.inc");
include_once($path_to_root . "/includes/session.inc");
include_once($path_to_root . "/inventory/includes/db/material_lists_db.inc");
include_once($path_to_root . "/sales/includes/sales_ui.inc");
include_once($path_to_root . "/projects/includes/db/projects_db.inc"); 

$js = "";
$js .= get_js_open_window(800, 500);
$js .= get_js_date_picker();

page(_($help_context = "Material Lists Inquiry"), false, false, "", $js);

if (isset($_GET['trans_no'])) {
    $_POST['trans_no'] = $_GET['trans_no'];
}

function _jo_id($row) { 
    $jo_id = $row['jo_id'];
    return get_service_trans_view_str(ST_JOB_ORDER, $jo_id);
}

function _trans_no($row) { 
    return get_inventory_trans_view_str($row['type'], $row['trans_no']);
}

function _reference($row){
    return $row['reference'];
}

function _location($row) {
    return $row['location_name'];
}

function _project_name($row) {
    return get_project_formatted_name($row['project_id']);
}

function _tran_date($row) {
    return sql2date($row['tran_date']);
}

function _approval_status($row) {
    global $approval_statuses;
    return $approval_statuses[$row['approval_status']];
}

function _direct_purchase_req($row) {
    global $systypes_array;
    
    if (in_array($row['approval_status'], array(AS_APPROVED))) {
        $ml_no = $row['id'];
        $params = "ml_no=$ml_no&type=".ST_DIRECT_PURCHASE_REQ;
        return pager_link( _($systypes_array[ST_DIRECT_PURCHASE_REQ]), "/inventory/material_list_jmr_dpr.php?$params", ICON_RECEIVE);
    } else {
        return null;
    }
}

function _edit_link($row) {
    global $systypes_array;
    
    if (in_array($row['approval_status'], array(AS_NEW, AS_WITH_THE_APPROVER, AS_AWAITING_APPROVAL, AS_BACK_TO_ORIGINATOR))) {
        $name_value = "ModifyML_No=".$row['id'];
        
        return pager_link( _("Edit"), "/inventory/material_lists.php?$name_value", ICON_EDIT);
    } elseif (in_array($row['approval_status'], array(AS_APPROVED))) {
        $ml_no = $row['id'];
        $params = "ml_no=$ml_no&type=".ST_JOB_MATERIAL_REQ;
        return pager_link( _($systypes_array[ST_JOB_MATERIAL_REQ]), "/inventory/material_list_jmr_dpr.php?$params", ICON_DOC);
    } else {
        return null;
    }
}

global $systypes_array, $approval_statuses;

start_form();

    start_table(TABLESTYLE_NOBORDER);
        start_row();
            ref_cells(text_bold("Trans #:"), 'trans_no', '',null, '', true);
            ref_cells(text_bold("Job Card #:"), 'jo_id', '',null, '', true);
            ref_cells("Reference:", 'reference', '',null, '', true);
            date_cells("From Date:", 'from_date', '', null, -30);
            date_cells("To Date:", 'to_date', '', null, +30);
        end_row();
    end_table();

    start_table(TABLESTYLE_NOBORDER);
        start_row();
            locations_list_cells(_("Location:"), 'loc_code', null, true, true);
            project_list_cells(_("Project:"), 'project_id', null, _('Select a project'), true);
            
            $values_array[-1] = "ALL";
            $values_array[AS_NEW] = $approval_statuses[AS_NEW];
            $values_array[AS_APPROVED] = $approval_statuses[AS_APPROVED];
            custom_values_list_cells("Status:", "trans_status", $values_array, null, false, true);
            submit_cells('SearchOrders', _("Search"),'',_('Select documents'), 'default');
        end_row();    
    end_table();
    
$sql = get_sql_for_material_lists_inquiry($_POST['trans_no'], $_POST['jo_id'], $_POST['reference'], $_POST['project_id'], $_POST['from_date'], $_POST['to_date'], 
                                          $_POST['loc_code'], $_POST['trans_status']);  
        
	$cols = array(  _("Job Card #") => array('fun'=>'_jo_id', 'align'=>'center'), 
                        _("Trans #") => array('fun'=>'_trans_no', 'align'=>'center'), 
                        _("Ref") => array('fun'=>'_reference', 'align'=>'left'), 
                        _("Location") => array('fun'=>'_location'), 
                        _("Project") => array('fun'=>'_project_name'),      
                        _("Date") => array('fun'=>'_tran_date', 'align'=>'center'),
                        _("Status") => array('fun'=>'_approval_status', 'align'=>'center'),
                        _("DPR") => array('fun'=>'_direct_purchase_req', 'align'=>'center'),
                        _("JMR") => array('fun'=>'_edit_link', 'align'=>'center'));

    $table =& new_db_pager('orders_tbl', $sql, $cols);

    $table->width = "96%";

    display_db_pager($table);
    submit_center('Update', _("Update"), true, '', null);


end_form(3);
end_page();

?>